+ date
Tue Apr 11 19:43:37 UTC 2023
+ apt-get source --only-source redshift=1.12-4.2ubuntu1+11.0trisquel5
Reading package lists...
NOTICE: 'redshift' packaging is maintained in the 'Git' version control system at:
https://salsa.debian.org/debian/redshift.git
Please use:
git clone https://salsa.debian.org/debian/redshift.git
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 848 kB of source archives.
Get:1 http://archive.trisquel.info/trisquel aramo-updates/main redshift 1.12-4.2ubuntu1+11.0trisquel5 (dsc) [1971 B]
Get:2 http://archive.trisquel.info/trisquel aramo-updates/main redshift 1.12-4.2ubuntu1+11.0trisquel5 (tar) [846 kB]
dpkg-source: info: extracting redshift in redshift-1.12
dpkg-source: info: unpacking redshift_1.12-4.2ubuntu1+11.0trisquel5.tar.xz
Fetched 848 kB in 0s (2554 kB/s)
W: Download is performed unsandboxed as root as file 'redshift_1.12-4.2ubuntu1+11.0trisquel5.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source redshift=1.12-4.2ubuntu1+11.0trisquel5
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  autoconf automake autopoint autotools-dev debhelper debugedit dh-apparmor
  dh-autoreconf dh-python dh-strip-nondeterminism dwz intltool libblkid-dev
  libdebhelper-perl libdrm-dev libfile-stripnondeterminism-perl libglib2.0-bin
  libglib2.0-dev libglib2.0-dev-bin libmount-dev libpciaccess-dev
  libpthread-stubs0-dev libselinux1-dev libsepol-dev libsub-override-perl
  libtool libwayland-bin libwayland-dev libx11-dev libxau-dev
  libxcb-randr0-dev libxcb-render0-dev libxcb1-dev libxdmcp-dev libxext-dev
  libxxf86vm-dev m4 po-debconf uuid-dev x11proto-dev xorg-sgml-doctools
  xtrans-dev
0 upgraded, 42 newly installed, 0 to remove and 11 not upgraded.
Need to get 8112 kB of archives.
After this operation, 33.2 MB of additional disk space will be used.
Get:1 http://archive.trisquel.info/trisquel aramo/main amd64 m4 amd64 1.4.18-5ubuntu2 [199 kB]
Get:2 http://archive.trisquel.info/trisquel aramo/main amd64 autoconf all 2.71-2 [338 kB]
Get:3 http://archive.trisquel.info/trisquel aramo/main amd64 autotools-dev all 20220109.1 [44.9 kB]
Get:4 http://archive.trisquel.info/trisquel aramo/main amd64 automake all 1:1.16.5-1.3 [558 kB]
Get:5 http://archive.trisquel.info/trisquel aramo/main amd64 autopoint all 0.21-4ubuntu4 [422 kB]
Get:6 http://archive.trisquel.info/trisquel aramo/main amd64 libdebhelper-perl all 13.6ubuntu1 [67.2 kB]
Get:7 http://archive.trisquel.info/trisquel aramo/main amd64 libtool all 2.4.6-15build2 [164 kB]
Get:8 http://archive.trisquel.info/trisquel aramo/main amd64 dh-autoreconf all 20 [16.1 kB]
Get:9 http://archive.trisquel.info/trisquel aramo/main amd64 libsub-override-perl all 0.09-2 [9532 B]
Get:10 http://archive.trisquel.info/trisquel aramo/main amd64 libfile-stripnondeterminism-perl all 1.13.0-1 [18.1 kB]
Get:11 http://archive.trisquel.info/trisquel aramo/main amd64 dh-strip-nondeterminism all 1.13.0-1 [5344 B]
Get:12 http://archive.trisquel.info/trisquel aramo/main amd64 debugedit amd64 1:5.0-4build1 [47.2 kB]
Get:13 http://archive.trisquel.info/trisquel aramo/main amd64 dwz amd64 0.14-1build2 [105 kB]
Get:14 http://archive.trisquel.info/trisquel aramo/main amd64 po-debconf all 1.0.21+nmu1 [233 kB]
Get:15 http://archive.trisquel.info/trisquel aramo/main amd64 debhelper all 13.6ubuntu1 [923 kB]
Get:16 http://archive.trisquel.info/trisquel aramo/main amd64 dh-python all 5.20220403 [106 kB]
Get:17 http://archive.trisquel.info/trisquel aramo/main amd64 intltool all 0.51.0-6 [44.6 kB]
Get:18 http://archive.trisquel.info/trisquel aramo/main amd64 uuid-dev amd64 2.37.2-4ubuntu3+11.0trisquel0 [33.1 kB]
Get:19 http://archive.trisquel.info/trisquel aramo/main amd64 libblkid-dev amd64 2.37.2-4ubuntu3+11.0trisquel0 [185 kB]
Get:20 http://archive.trisquel.info/trisquel aramo/main amd64 libpciaccess-dev amd64 0.16-3 [21.9 kB]
Get:21 http://archive.trisquel.info/trisquel aramo-updates/main amd64 libdrm-dev amd64 2.4.113-2~ubuntu0.22.04.1 [292 kB]
Get:22 http://archive.trisquel.info/trisquel aramo-updates/main amd64 libglib2.0-bin amd64 2.72.4-0ubuntu1 [80.9 kB]
Get:23 http://archive.trisquel.info/trisquel aramo-updates/main amd64 libglib2.0-dev-bin amd64 2.72.4-0ubuntu1 [117 kB]
Get:24 http://archive.trisquel.info/trisquel aramo/main amd64 libsepol-dev amd64 3.3-1build1 [378 kB]
Get:25 http://archive.trisquel.info/trisquel aramo/main amd64 libselinux1-dev amd64 3.3-1build2+11.0trisquel1 [158 kB]
Get:26 http://archive.trisquel.info/trisquel aramo/main amd64 libmount-dev amd64 2.37.2-4ubuntu3+11.0trisquel0 [14.6 kB]
Get:27 http://archive.trisquel.info/trisquel aramo-updates/main amd64 libglib2.0-dev amd64 2.72.4-0ubuntu1 [1735 kB]
Get:28 http://archive.trisquel.info/trisquel aramo/main amd64 libpthread-stubs0-dev amd64 0.4-1build2 [5516 B]
Get:29 http://archive.trisquel.info/trisquel aramo/main amd64 xorg-sgml-doctools all 1:1.11-1.1 [10.9 kB]
Get:30 http://archive.trisquel.info/trisquel aramo/main amd64 x11proto-dev all 2021.5-1 [604 kB]
Get:31 http://archive.trisquel.info/trisquel aramo/main amd64 libxau-dev amd64 1:1.0.9-1build5 [9724 B]
Get:32 http://archive.trisquel.info/trisquel aramo/main amd64 libxdmcp-dev amd64 1:1.1.3-0ubuntu5 [26.5 kB]
Get:33 http://archive.trisquel.info/trisquel aramo/main amd64 xtrans-dev all 1.4.0-1 [68.9 kB]
Get:34 http://archive.trisquel.info/trisquel aramo/main amd64 libxcb1-dev amd64 1.14-3ubuntu3 [86.5 kB]
Get:35 http://archive.trisquel.info/trisquel aramo/main amd64 libx11-dev amd64 2:1.7.5-1 [744 kB]
Get:36 http://archive.trisquel.info/trisquel aramo/main amd64 libxcb-render0-dev amd64 1.14-3ubuntu3 [19.6 kB]
Get:37 http://archive.trisquel.info/trisquel aramo/main amd64 libxcb-randr0-dev amd64 1.14-3ubuntu3 [22.4 kB]
Get:38 http://archive.trisquel.info/trisquel aramo/main amd64 libxext-dev amd64 2:1.3.4-1build1 [84.7 kB]
Get:39 http://archive.trisquel.info/trisquel aramo/main amd64 libxxf86vm-dev amd64 1:1.1.4-1build3 [13.9 kB]
Get:40 http://archive.trisquel.info/trisquel aramo-updates/main amd64 dh-apparmor all 3.0.4-2ubuntu2.2 [9862 B]
Get:41 http://archive.trisquel.info/trisquel aramo-updates/main amd64 libwayland-bin amd64 1.20.0-1ubuntu0.1 [20.4 kB]
Get:42 http://archive.trisquel.info/trisquel aramo-updates/main amd64 libwayland-dev amd64 1.20.0-1ubuntu0.1 [69.5 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 8112 kB in 0s (17.8 MB/s)
Selecting previously unselected package m4.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 123238 files and directories currently installed.)
Preparing to unpack .../00-m4_1.4.18-5ubuntu2_amd64.deb ...
Unpacking m4 (1.4.18-5ubuntu2) ...
Selecting previously unselected package autoconf.
Preparing to unpack .../01-autoconf_2.71-2_all.deb ...
Unpacking autoconf (2.71-2) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../02-autotools-dev_20220109.1_all.deb ...
Unpacking autotools-dev (20220109.1) ...
Selecting previously unselected package automake.
Preparing to unpack .../03-automake_1%3a1.16.5-1.3_all.deb ...
Unpacking automake (1:1.16.5-1.3) ...
Selecting previously unselected package autopoint.
Preparing to unpack .../04-autopoint_0.21-4ubuntu4_all.deb ...
Unpacking autopoint (0.21-4ubuntu4) ...
Selecting previously unselected package libdebhelper-perl.
Preparing to unpack .../05-libdebhelper-perl_13.6ubuntu1_all.deb ...
Unpacking libdebhelper-perl (13.6ubuntu1) ...
Selecting previously unselected package libtool.
Preparing to unpack .../06-libtool_2.4.6-15build2_all.deb ...
Unpacking libtool (2.4.6-15build2) ...
Selecting previously unselected package dh-autoreconf.
Preparing to unpack .../07-dh-autoreconf_20_all.deb ...
Unpacking dh-autoreconf (20) ...
Selecting previously unselected package libsub-override-perl.
Preparing to unpack .../08-libsub-override-perl_0.09-2_all.deb ...
Unpacking libsub-override-perl (0.09-2) ...
Selecting previously unselected package libfile-stripnondeterminism-perl.
Preparing to unpack .../09-libfile-stripnondeterminism-perl_1.13.0-1_all.deb ...
Unpacking libfile-stripnondeterminism-perl (1.13.0-1) ...
Selecting previously unselected package dh-strip-nondeterminism.
Preparing to unpack .../10-dh-strip-nondeterminism_1.13.0-1_all.deb ...
Unpacking dh-strip-nondeterminism (1.13.0-1) ...
Selecting previously unselected package debugedit.
Preparing to unpack .../11-debugedit_1%3a5.0-4build1_amd64.deb ...
Unpacking debugedit (1:5.0-4build1) ...
Selecting previously unselected package dwz.
Preparing to unpack .../12-dwz_0.14-1build2_amd64.deb ...
Unpacking dwz (0.14-1build2) ...
Selecting previously unselected package po-debconf.
Preparing to unpack .../13-po-debconf_1.0.21+nmu1_all.deb ...
Unpacking po-debconf (1.0.21+nmu1) ...
Selecting previously unselected package debhelper.
Preparing to unpack .../14-debhelper_13.6ubuntu1_all.deb ...
Unpacking debhelper (13.6ubuntu1) ...
Selecting previously unselected package dh-python.
Preparing to unpack .../15-dh-python_5.20220403_all.deb ...
Unpacking dh-python (5.20220403) ...
Selecting previously unselected package intltool.
Preparing to unpack .../16-intltool_0.51.0-6_all.deb ...
Unpacking intltool (0.51.0-6) ...
Selecting previously unselected package uuid-dev:amd64.
Preparing to unpack .../17-uuid-dev_2.37.2-4ubuntu3+11.0trisquel0_amd64.deb ...
Unpacking uuid-dev:amd64 (2.37.2-4ubuntu3+11.0trisquel0) ...
Selecting previously unselected package libblkid-dev:amd64.
Preparing to unpack .../18-libblkid-dev_2.37.2-4ubuntu3+11.0trisquel0_amd64.deb ...
Unpacking libblkid-dev:amd64 (2.37.2-4ubuntu3+11.0trisquel0) ...
Selecting previously unselected package libpciaccess-dev:amd64.
Preparing to unpack .../19-libpciaccess-dev_0.16-3_amd64.deb ...
Unpacking libpciaccess-dev:amd64 (0.16-3) ...
Selecting previously unselected package libdrm-dev:amd64.
Preparing to unpack .../20-libdrm-dev_2.4.113-2~ubuntu0.22.04.1_amd64.deb ...
Unpacking libdrm-dev:amd64 (2.4.113-2~ubuntu0.22.04.1) ...
Selecting previously unselected package libglib2.0-bin.
Preparing to unpack .../21-libglib2.0-bin_2.72.4-0ubuntu1_amd64.deb ...
Unpacking libglib2.0-bin (2.72.4-0ubuntu1) ...
Selecting previously unselected package libglib2.0-dev-bin.
Preparing to unpack .../22-libglib2.0-dev-bin_2.72.4-0ubuntu1_amd64.deb ...
Unpacking libglib2.0-dev-bin (2.72.4-0ubuntu1) ...
Selecting previously unselected package libsepol-dev:amd64.
Preparing to unpack .../23-libsepol-dev_3.3-1build1_amd64.deb ...
Unpacking libsepol-dev:amd64 (3.3-1build1) ...
Selecting previously unselected package libselinux1-dev:amd64.
Preparing to unpack .../24-libselinux1-dev_3.3-1build2+11.0trisquel1_amd64.deb ...
Unpacking libselinux1-dev:amd64 (3.3-1build2+11.0trisquel1) ...
Selecting previously unselected package libmount-dev:amd64.
Preparing to unpack .../25-libmount-dev_2.37.2-4ubuntu3+11.0trisquel0_amd64.deb ...
Unpacking libmount-dev:amd64 (2.37.2-4ubuntu3+11.0trisquel0) ...
Selecting previously unselected package libglib2.0-dev:amd64.
Preparing to unpack .../26-libglib2.0-dev_2.72.4-0ubuntu1_amd64.deb ...
Unpacking libglib2.0-dev:amd64 (2.72.4-0ubuntu1) ...
Selecting previously unselected package libpthread-stubs0-dev:amd64.
Preparing to unpack .../27-libpthread-stubs0-dev_0.4-1build2_amd64.deb ...
Unpacking libpthread-stubs0-dev:amd64 (0.4-1build2) ...
Selecting previously unselected package xorg-sgml-doctools.
Preparing to unpack .../28-xorg-sgml-doctools_1%3a1.11-1.1_all.deb ...
Unpacking xorg-sgml-doctools (1:1.11-1.1) ...
Selecting previously unselected package x11proto-dev.
Preparing to unpack .../29-x11proto-dev_2021.5-1_all.deb ...
Unpacking x11proto-dev (2021.5-1) ...
Selecting previously unselected package libxau-dev:amd64.
Preparing to unpack .../30-libxau-dev_1%3a1.0.9-1build5_amd64.deb ...
Unpacking libxau-dev:amd64 (1:1.0.9-1build5) ...
Selecting previously unselected package libxdmcp-dev:amd64.
Preparing to unpack .../31-libxdmcp-dev_1%3a1.1.3-0ubuntu5_amd64.deb ...
Unpacking libxdmcp-dev:amd64 (1:1.1.3-0ubuntu5) ...
Selecting previously unselected package xtrans-dev.
Preparing to unpack .../32-xtrans-dev_1.4.0-1_all.deb ...
Unpacking xtrans-dev (1.4.0-1) ...
Selecting previously unselected package libxcb1-dev:amd64.
Preparing to unpack .../33-libxcb1-dev_1.14-3ubuntu3_amd64.deb ...
Unpacking libxcb1-dev:amd64 (1.14-3ubuntu3) ...
Selecting previously unselected package libx11-dev:amd64.
Preparing to unpack .../34-libx11-dev_2%3a1.7.5-1_amd64.deb ...
Unpacking libx11-dev:amd64 (2:1.7.5-1) ...
Selecting previously unselected package libxcb-render0-dev:amd64.
Preparing to unpack .../35-libxcb-render0-dev_1.14-3ubuntu3_amd64.deb ...
Unpacking libxcb-render0-dev:amd64 (1.14-3ubuntu3) ...
Selecting previously unselected package libxcb-randr0-dev:amd64.
Preparing to unpack .../36-libxcb-randr0-dev_1.14-3ubuntu3_amd64.deb ...
Unpacking libxcb-randr0-dev:amd64 (1.14-3ubuntu3) ...
Selecting previously unselected package libxext-dev:amd64.
Preparing to unpack .../37-libxext-dev_2%3a1.3.4-1build1_amd64.deb ...
Unpacking libxext-dev:amd64 (2:1.3.4-1build1) ...
Selecting previously unselected package libxxf86vm-dev:amd64.
Preparing to unpack .../38-libxxf86vm-dev_1%3a1.1.4-1build3_amd64.deb ...
Unpacking libxxf86vm-dev:amd64 (1:1.1.4-1build3) ...
Selecting previously unselected package dh-apparmor.
Preparing to unpack .../39-dh-apparmor_3.0.4-2ubuntu2.2_all.deb ...
Unpacking dh-apparmor (3.0.4-2ubuntu2.2) ...
Selecting previously unselected package libwayland-bin.
Preparing to unpack .../40-libwayland-bin_1.20.0-1ubuntu0.1_amd64.deb ...
Unpacking libwayland-bin (1.20.0-1ubuntu0.1) ...
Selecting previously unselected package libwayland-dev:amd64.
Preparing to unpack .../41-libwayland-dev_1.20.0-1ubuntu0.1_amd64.deb ...
Unpacking libwayland-dev:amd64 (1.20.0-1ubuntu0.1) ...
Setting up dh-python (5.20220403) ...
Setting up libglib2.0-dev-bin (2.72.4-0ubuntu1) ...
Setting up libpciaccess-dev:amd64 (0.16-3) ...
Setting up po-debconf (1.0.21+nmu1) ...
Setting up libdebhelper-perl (13.6ubuntu1) ...
Setting up libglib2.0-bin (2.72.4-0ubuntu1) ...
Setting up m4 (1.4.18-5ubuntu2) ...
Setting up libpthread-stubs0-dev:amd64 (0.4-1build2) ...
Setting up xtrans-dev (1.4.0-1) ...
Setting up libwayland-bin (1.20.0-1ubuntu0.1) ...
Setting up autotools-dev (20220109.1) ...
Setting up uuid-dev:amd64 (2.37.2-4ubuntu3+11.0trisquel0) ...
Setting up autopoint (0.21-4ubuntu4) ...
Setting up libsepol-dev:amd64 (3.3-1build1) ...
Setting up autoconf (2.71-2) ...
Setting up dwz (0.14-1build2) ...
Setting up debugedit (1:5.0-4build1) ...
Setting up libsub-override-perl (0.09-2) ...
Setting up xorg-sgml-doctools (1:1.11-1.1) ...
Setting up dh-apparmor (3.0.4-2ubuntu2.2) ...
Setting up automake (1:1.16.5-1.3) ...
update-alternatives: using /usr/bin/automake-1.16 to provide /usr/bin/automake (automake) in auto mode
Setting up libfile-stripnondeterminism-perl (1.13.0-1) ...
Setting up libblkid-dev:amd64 (2.37.2-4ubuntu3+11.0trisquel0) ...
Setting up libdrm-dev:amd64 (2.4.113-2~ubuntu0.22.04.1) ...
Setting up libtool (2.4.6-15build2) ...
Setting up libselinux1-dev:amd64 (3.3-1build2+11.0trisquel1) ...
Setting up libwayland-dev:amd64 (1.20.0-1ubuntu0.1) ...
Setting up dh-autoreconf (20) ...
Setting up intltool (0.51.0-6) ...
Setting up dh-strip-nondeterminism (1.13.0-1) ...
Setting up libmount-dev:amd64 (2.37.2-4ubuntu3+11.0trisquel0) ...
Setting up debhelper (13.6ubuntu1) ...
Setting up libglib2.0-dev:amd64 (2.72.4-0ubuntu1) ...
Processing triggers for sgml-base (1.30) ...
Setting up x11proto-dev (2021.5-1) ...
Setting up libxau-dev:amd64 (1:1.0.9-1build5) ...
Processing triggers for libglib2.0-0:amd64 (2.72.4-0ubuntu1) ...
Processing triggers for man-db (2.10.2-1) ...
Setting up libxdmcp-dev:amd64 (1:1.1.3-0ubuntu5) ...
Setting up libxcb1-dev:amd64 (1.14-3ubuntu3) ...
Setting up libx11-dev:amd64 (2:1.7.5-1) ...
Setting up libxcb-render0-dev:amd64 (1.14-3ubuntu3) ...
Setting up libxext-dev:amd64 (2:1.3.4-1build1) ...
Setting up libxxf86vm-dev:amd64 (1:1.1.4-1build3) ...
Setting up libxcb-randr0-dev:amd64 (1.14-3ubuntu3) ...
+ find . -maxdepth 1 -name redshift* -type d
+ cd ./redshift-1.12
+ eatmydata env DEB_BUILD_OPTIONS=noautodbgsym dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package redshift
dpkg-buildpackage: info: source version 1.12-4.2ubuntu1+11.0trisquel5
dpkg-buildpackage: info: source distribution aramo
dpkg-buildpackage: info: source changed by Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean --with python3
   dh_clean
	rm -f debian/debhelper-build-stamp
	rm -rf debian/.debhelper/
	rm -f -- debian/redshift.substvars debian/redshift-gtk.substvars debian/files
	rm -fr -- debian/redshift/ debian/tmp/ debian/redshift-gtk/
	find .  \( \( \
		\( -path .\*/.git -o -path .\*/.svn -o -path .\*/.bzr -o -path .\*/.hg -o -path .\*/CVS -o -path .\*/.pc -o -path .\*/_darcs \) -prune -o -type f -a \
	        \( -name '#*#' -o -name '.*~' -o -name '*~' -o -name DEADJOE \
		 -o -name '*.orig' -o -name '*.rej' -o -name '*.bak' \
		 -o -name '.*.orig' -o -name .*.rej -o -name '.SUMS' \
		 -o -name TAGS -o \( -path '*/.deps/*' -a -name '*.P' \) \
		\) -exec rm -f {} + \) -o \
		\( -type d -a -name autom4te.cache -prune -exec rm -rf {} + \) \)
 dpkg-source -b .
dpkg-source: warning: native package version may not have a revision
dpkg-source: info: using source format '3.0 (native)'
dpkg-source: info: building redshift in redshift_1.12-4.2ubuntu1+11.0trisquel5.tar.xz
dpkg-source: info: building redshift in redshift_1.12-4.2ubuntu1+11.0trisquel5.dsc
 debian/rules binary
dh binary --with python3
   dh_update_autotools_config
	install -d debian/.debhelper/bucket/files
	cp -an --reflink=auto config.guess debian/.debhelper/bucket/files/f71db9d796b6f173a6fdb4ddd08424e02085b24156018cd02063d159c9d17bb2.tmp
	mv debian/.debhelper/bucket/files/f71db9d796b6f173a6fdb4ddd08424e02085b24156018cd02063d159c9d17bb2.tmp debian/.debhelper/bucket/files/f71db9d796b6f173a6fdb4ddd08424e02085b24156018cd02063d159c9d17bb2
	cp -f /usr/share/misc/config.guess ./config.guess
	cp -an --reflink=auto config.sub debian/.debhelper/bucket/files/52d7418817df4a0bd139446cf014f9dfd5bb3406a95c3109ca6fd578068be472.tmp
	mv debian/.debhelper/bucket/files/52d7418817df4a0bd139446cf014f9dfd5bb3406a95c3109ca6fd578068be472.tmp debian/.debhelper/bucket/files/52d7418817df4a0bd139446cf014f9dfd5bb3406a95c3109ca6fd578068be472
	cp -f /usr/share/misc/config.sub ./config.sub
   dh_autoreconf
	find ! -ipath "./debian/*" -a ! \( -path '*/.git/*' -o -path '*/.hg/*' -o -path '*/.bzr/*' -o -path '*/.svn/*' -o -path '*/CVS/*' \) -a  -type f -exec md5sum {} + -o -type l -printf "symlink  %p
" > debian/autoreconf.before
	grep -q ^XDT_ configure.ac
	autoreconf -f -i
Copying file m4/codeset.m4
Copying file m4/glibc2.m4
Copying file m4/glibc21.m4
Copying file m4/intdiv0.m4
Copying file m4/intl.m4
Copying file m4/intldir.m4
Copying file m4/intmax.m4
Copying file m4/inttypes-pri.m4
Copying file m4/inttypes_h.m4
Copying file m4/lcmessage.m4
Copying file m4/lock.m4
Copying file m4/longlong.m4
Copying file m4/printf-posix.m4
Copying file m4/size_max.m4
Copying file m4/stdint_h.m4
Copying file m4/uintmax_t.m4
Copying file m4/visibility.m4
Copying file m4/wchar_t.m4
Copying file m4/wint_t.m4
Copying file m4/xsize.m4
Copying file po/Makefile.in.in
Copying file po/Makevars.template
Copying file po/Rules-quot
Copying file po/boldquot.sed
Copying file po/en@boldquot.header
Copying file po/en@quot.header
Copying file po/insert-header.sin
Copying file po/quot.sed
Copying file po/remove-potcdate.sin
libtoolize: putting auxiliary files in '.'.
libtoolize: copying file './ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
libtoolize: copying file 'm4/libtool.m4'
libtoolize: copying file 'm4/ltoptions.m4'
libtoolize: copying file 'm4/ltsugar.m4'
libtoolize: copying file 'm4/ltversion.m4'
libtoolize: copying file 'm4/lt~obsolete.m4'
You should update your 'aclocal.m4' by running aclocal.
configure.ac:14: warning: The macro `AC_PROG_CC_C99' is obsolete.
configure.ac:14: You should run autoupdate.
./lib/autoconf/c.m4:1659: AC_PROG_CC_C99 is expanded from...
configure.ac:14: the top level
configure.ac:15: warning: The macro `AC_PROG_LIBTOOL' is obsolete.
configure.ac:15: You should run autoupdate.
m4/libtool.m4:99: AC_PROG_LIBTOOL is expanded from...
configure.ac:15: the top level
configure.ac:19: warning: The macro `AC_PROG_INTLTOOL' is obsolete.
configure.ac:19: You should run autoupdate.
m4/intltool.m4:209: AC_PROG_INTLTOOL is expanded from...
configure.ac:19: the top level
configure.ac:56: warning: AM_PROG_MKDIR_P: this macro is deprecated, and will soon be removed.
configure.ac:56: You should use the Autoconf-provided 'AC_PROG_MKDIR_P' macro instead,
configure.ac:56: and use '$(MKDIR_P)' instead of '$(mkdir_p)'in your Makefile.am files.
./lib/autoconf/general.m4:2434: AC_DIAGNOSE is expanded from...
aclocal.m4:1020: AM_PROG_MKDIR_P is expanded from...
m4/po.m4:23: AM_PO_SUBDIRS is expanded from...
m4/gettext.m4:57: AM_GNU_GETTEXT is expanded from...
configure.ac:56: the top level
configure.ac:56: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:56: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/general.m4:2249: AC_CACHE_VAL is expanded from...
./lib/autoconf/general.m4:2270: AC_CACHE_CHECK is expanded from...
m4/intlmacosx.m4:18: gt_INTL_MACOSX is expanded from...
m4/gettext.m4:57: AM_GNU_GETTEXT is expanded from...
configure.ac:56: the top level
configure.ac:56: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:56: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/general.m4:2249: AC_CACHE_VAL is expanded from...
./lib/autoconf/general.m4:2270: AC_CACHE_CHECK is expanded from...
m4/gettext.m4:57: AM_GNU_GETTEXT is expanded from...
configure.ac:56: the top level
configure.ac:56: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:56: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/general.m4:2249: AC_CACHE_VAL is expanded from...
./lib/autoconf/general.m4:2270: AC_CACHE_CHECK is expanded from...
m4/iconv.m4:20: AM_ICONV_LINK is expanded from...
m4/gettext.m4:57: AM_GNU_GETTEXT is expanded from...
configure.ac:56: the top level
configure.ac:56: warning: The macro `AC_TRY_RUN' is obsolete.
configure.ac:56: You should run autoupdate.
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/general.m4:2249: AC_CACHE_VAL is expanded from...
./lib/autoconf/general.m4:2270: AC_CACHE_CHECK is expanded from...
m4/iconv.m4:20: AM_ICONV_LINK is expanded from...
m4/gettext.m4:57: AM_GNU_GETTEXT is expanded from...
configure.ac:56: the top level
configure.ac:109: warning: The macro `AC_HELP_STRING' is obsolete.
configure.ac:109: You should run autoupdate.
./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
./lib/autoconf/general.m4:1534: AC_ARG_ENABLE is expanded from...
configure.ac:109: the top level
configure.ac:133: warning: The macro `AC_HELP_STRING' is obsolete.
configure.ac:133: You should run autoupdate.
./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
./lib/autoconf/general.m4:1534: AC_ARG_ENABLE is expanded from...
configure.ac:133: the top level
configure.ac:157: warning: The macro `AC_HELP_STRING' is obsolete.
configure.ac:157: You should run autoupdate.
./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
./lib/autoconf/general.m4:1534: AC_ARG_ENABLE is expanded from...
configure.ac:157: the top level
configure.ac:181: warning: The macro `AC_HELP_STRING' is obsolete.
configure.ac:181: You should run autoupdate.
./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
./lib/autoconf/general.m4:1534: AC_ARG_ENABLE is expanded from...
configure.ac:181: the top level
configure.ac:205: warning: The macro `AC_HELP_STRING' is obsolete.
configure.ac:205: You should run autoupdate.
./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
./lib/autoconf/general.m4:1534: AC_ARG_ENABLE is expanded from...
configure.ac:205: the top level
configure.ac:233: warning: The macro `AC_HELP_STRING' is obsolete.
configure.ac:233: You should run autoupdate.
./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
./lib/autoconf/general.m4:1534: AC_ARG_ENABLE is expanded from...
configure.ac:233: the top level
configure.ac:258: warning: The macro `AC_HELP_STRING' is obsolete.
configure.ac:258: You should run autoupdate.
./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
./lib/autoconf/general.m4:1534: AC_ARG_ENABLE is expanded from...
configure.ac:258: the top level
configure.ac:282: warning: The macro `AC_HELP_STRING' is obsolete.
configure.ac:282: You should run autoupdate.
./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
./lib/autoconf/general.m4:1534: AC_ARG_ENABLE is expanded from...
configure.ac:282: the top level
configure.ac:311: warning: The macro `AC_HELP_STRING' is obsolete.
configure.ac:311: You should run autoupdate.
./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
./lib/autoconf/general.m4:1534: AC_ARG_ENABLE is expanded from...
configure.ac:311: the top level
configure.ac:333: warning: The macro `AC_HELP_STRING' is obsolete.
configure.ac:333: You should run autoupdate.
./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
./lib/autoconf/general.m4:1534: AC_ARG_ENABLE is expanded from...
configure.ac:333: the top level
configure.ac:364: warning: The macro `AC_HELP_STRING' is obsolete.
configure.ac:364: You should run autoupdate.
./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
./lib/autoconf/general.m4:1534: AC_ARG_ENABLE is expanded from...
configure.ac:364: the top level
configure.ac:56: warning: The 'AM_PROG_MKDIR_P' macro is deprecated, and its use is discouraged.
configure.ac:56: You should use the Autoconf-provided 'AC_PROG_MKDIR_P' macro instead,
configure.ac:56: and use '$(MKDIR_P)' instead of '$(mkdir_p)'in your Makefile.am files.
configure.ac:14: installing './compile'
configure.ac:9: installing './missing'
src/Makefile.am: installing './depcomp'
	find ! -ipath "./debian/*" -a ! \( -path '*/.git/*' -o -path '*/.hg/*' -o -path '*/.bzr/*' -o -path '*/.svn/*' -o -path '*/CVS/*' \) -a  -type f -exec md5sum {} + -o -type l -printf "symlink  %p
" > debian/autoreconf.after
   debian/rules override_dh_auto_configure
make[1]: Entering directory '/build/redshift/redshift-1.12'
intltoolize --force
You should update your 'aclocal.m4' by running aclocal.
# Disable the creation/installation of systemd service files.
# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=892275
dh_auto_configure -- \
	--without-systemduserunitdir \
	--enable-randr --enable-vidmode \
	--enable-geoclue2 --disable-geoclue \
	--enable-ubuntu --enable-apparmor
	install -d /build/redshift/redshift-1.12/debian/.debhelper/generated/_source/home
	./configure --build=x86_64-linux-gnu --prefix=/usr --includedir=\${prefix}/include --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --disable-option-checking --disable-silent-rules --libdir=\${prefix}/lib/x86_64-linux-gnu --runstatedir=/run --disable-maintainer-mode --disable-dependency-tracking --without-systemduserunitdir --enable-randr --enable-vidmode --enable-geoclue2 --disable-geoclue --enable-ubuntu --enable-apparmor
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a race-free mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
checking whether make supports the include directive... yes (GNU style)
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether the compiler supports GNU C... yes
checking whether gcc accepts -g... yes
checking for gcc option to enable C11 features... none needed
checking whether gcc understands -c and -o together... yes
checking dependency style of gcc... none
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for a working dd... /usr/bin/dd
checking how to truncate binary pipes... /usr/bin/dd bs=4096 count=1
checking for mt... mt
checking if mt is a manifest tool... no
checking for stdio.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for strings.h... yes
checking for sys/stat.h... yes
checking for sys/types.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for gcc... gcc
checking whether the compiler supports GNU Objective C... no
checking whether gcc accepts -g... no
checking dependency style of gcc... none
checking whether NLS is requested... yes
checking for intltool >= 0.50... 0.51.0 found
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.34.0
checking for XML::Parser... ok
checking for windres... no
checking whether Objective C compiler works... no
checking for msgfmt... (cached) /usr/bin/msgfmt
checking for gmsgfmt... (cached) /usr/bin/msgfmt
checking for xgettext... (cached) /usr/bin/xgettext
checking for msgmerge... (cached) /usr/bin/msgmerge
checking for ld used by GCC... /usr/bin/ld -m elf_x86_64
checking if the linker (/usr/bin/ld -m elf_x86_64) is GNU ld... yes
checking for shared library run path origin... done
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for libdrm... yes
checking for x11... yes
checking for xxf86vm... yes
checking for xcb... yes
checking for xcb-randr... yes
checking for wayland-client wayland-scanner >= 1.15.0... yes
checking for glib-2.0 gobject-2.0... yes
checking for glib-2.0 gio-2.0 >= 2.26... yes
checking for ApplicationServices/ApplicationServices.h... no
checking whether CoreLocation/CoreLocation.h is usable... no Objective C compiler available
checking for windows.h... no
checking for a Python interpreter with version >= 3.2... python3
checking for python3... /usr/bin/python3
checking for python3 version... 3.10
checking for python3 platform... linux
checking for GNU default python3 prefix... ${prefix}
checking for GNU default python3 exec_prefix... ${exec_prefix}
checking for python3 script directory (pythondir)... ${PYTHON_PREFIX}/lib/python3.10/site-packages
checking for python3 extension module directory (pyexecdir)... ${PYTHON_EXEC_PREFIX}/lib/python3.10/site-packages
checking whether to enable DRM method... yes
checking whether to enable Wayland method... yes
checking whether to enable RANDR method... yes
checking whether to enable VidMode method... yes
checking whether to enable Quartz method... missing dependencies
checking whether to enable WinGDI method... missing dependencies
checking whether to enable Geoclue2 location provider... yes
checking whether to enable CoreLocation method... missing dependencies
checking whether to enable GUI status icon... yes
checking whether to enable Ubuntu icons... yes
checking for pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking Directory to install systemd user unit files... not enabled
checking whether to enable AppArmor profile... yes
checking for locale.h... yes
checking for stdint.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for unistd.h... (cached) yes
checking for signal.h... yes
checking for uint16_t... yes
checking for library containing clock_gettime... none required
checking for library containing floor... -lm
checking for setlocale... yes
checking for strchr... yes
checking for floor... yes
checking for pow... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating po/Makefile.in
config.status: creating src/Makefile
config.status: creating src/redshift-gtk/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing po-directories commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
config.status: executing po/stamp-it commands

 redshift 1.12

    prefix:		/usr
    compiler:		gcc
    cflags:		-g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security
    ldflags:		-Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro -Wl,-z,now

    Adjustment methods:
    DRM:		yes
    Wayland:		yes
    RANDR:		yes
    VidMode:		yes
    Quartz (macOS):	no
    WinGDI (Windows):	no

    Location providers:
    Geoclue2:			yes
    CoreLocation (macOS):	no

    GUI:		yes
    Ubuntu icons:	yes
    systemd units:	no 
    AppArmor profile:   yes

make[1]: Leaving directory '/build/redshift/redshift-1.12'
   dh_auto_build
	make -j1
make[1]: Entering directory '/build/redshift/redshift-1.12'
make  all-recursive
make[2]: Entering directory '/build/redshift/redshift-1.12'
Making all in src
make[3]: Entering directory '/build/redshift/redshift-1.12/src'
/usr/bin/mkdir -p ./ && /usr/bin/wayland-scanner private-code < gamma-control.xml > gamma-control-protocol.c
/usr/bin/mkdir -p ./ && /usr/bin/wayland-scanner client-header < gamma-control.xml > gamma-control-client-protocol.h
/usr/bin/mkdir -p ./ && /usr/bin/wayland-scanner private-code < orbital-authorizer.xml > orbital-authorizer-protocol.c
/usr/bin/mkdir -p ./ && /usr/bin/wayland-scanner client-header < orbital-authorizer.xml > orbital-authorizer-client-protocol.h
make  all-recursive
make[4]: Entering directory '/build/redshift/redshift-1.12/src'
Making all in redshift-gtk
make[5]: Entering directory '/build/redshift/redshift-1.12/src/redshift-gtk'
sed -e "s|\@pythondir\@|/usr/lib/python3.10/site-packages|g" redshift-gtk.in > redshift-gtk
make[5]: Leaving directory '/build/redshift/redshift-1.12/src/redshift-gtk'
make[5]: Entering directory '/build/redshift/redshift-1.12/src'
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o colorramp.o colorramp.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o config-ini.o config-ini.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o gamma-dummy.o gamma-dummy.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o hooks.o hooks.c
hooks.c: In function 'hooks_signal_period_change':
hooks.c:88:60: warning: '%s' directive output may be truncated writing up to 255 bytes into a region of size between 0 and 4095 [-Wformat-truncation=]
   88 |                 snprintf(hook_path, sizeof(hook_path), "%s/%s",
      |                                                            ^~
In file included from /usr/include/stdio.h:894,
                 from redshift.h:23,
                 from hooks.h:23,
                 from hooks.c:29:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:71:10: note: '__snprintf_chk' output between 2 and 4352 bytes into a destination of size 4096
   71 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   72 |                                    __glibc_objsize (__s), __fmt,
      |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   73 |                                    __va_arg_pack ());
      |                                    ~~~~~~~~~~~~~~~~~
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o location-manual.o location-manual.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o options.o options.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o pipeutils.o pipeutils.c
pipeutils.c: In function 'pipeutils_signal':
pipeutils.c:89:9: warning: ignoring return value of 'write' declared with attribute 'warn_unused_result' [-Wunused-result]
   89 |         write(write_fd, "", 1);
      |         ^~~~~~~~~~~~~~~~~~~~~~
pipeutils.c: In function 'pipeutils_handle_signal':
pipeutils.c:97:9: warning: ignoring return value of 'read' declared with attribute 'warn_unused_result' [-Wunused-result]
   97 |         read(read_fd, &data, 1);
      |         ^~~~~~~~~~~~~~~~~~~~~~~
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o redshift.o redshift.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o signals.o signals.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o solar.o solar.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o systemtime.o systemtime.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o gamma-drm.o gamma-drm.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o gamma-wl.o gamma-wl.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o os-compatibility.o os-compatibility.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o gamma-randr.o gamma-randr.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o gamma-vidmode.o gamma-vidmode.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o location-geoclue2.o location-geoclue2.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o gamma-control-protocol.o gamma-control-protocol.c
gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/share/locale\" -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/libdrm       -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -c -o orbital-authorizer-protocol.o orbital-authorizer-protocol.c
/bin/bash ../libtool    --mode=link gcc  -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security  -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro -Wl,-z,now -o redshift colorramp.o config-ini.o gamma-dummy.o hooks.o location-manual.o options.o pipeutils.o redshift.o signals.o solar.o systemtime.o gamma-drm.o gamma-wl.o os-compatibility.o gamma-randr.o gamma-vidmode.o   location-geoclue2.o  gamma-control-protocol.o orbital-authorizer-protocol.o -ldrm -I/usr/include/libdrm -lwayland-client  -lxcb  -lxcb-randr  -lX11  -lXxf86vm    -lgio-2.0 -lgobject-2.0 -lglib-2.0 -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  -lm 
libtool: link: gcc -g -O2 -ffile-prefix-map=/build/redshift/redshift-1.12=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z -Wl,relro -Wl,-z -Wl,now -o redshift colorramp.o config-ini.o gamma-dummy.o hooks.o location-manual.o options.o pipeutils.o redshift.o signals.o solar.o systemtime.o gamma-drm.o gamma-wl.o os-compatibility.o gamma-randr.o gamma-vidmode.o location-geoclue2.o gamma-control-protocol.o orbital-authorizer-protocol.o -I/usr/include/libdrm -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  -ldrm -lwayland-client -lxcb -lxcb-randr -lX11 -lXxf86vm -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lm -pthread
make[5]: Leaving directory '/build/redshift/redshift-1.12/src'
make[4]: Leaving directory '/build/redshift/redshift-1.12/src'
make[3]: Leaving directory '/build/redshift/redshift-1.12/src'
Making all in po
make[3]: Entering directory '/build/redshift/redshift-1.12/po'
file=`echo ar | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file ar.po
file=`echo be | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file be.po
file=`echo bg | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file bg.po
file=`echo ca | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file ca.po
file=`echo cs | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file cs.po
file=`echo da | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file da.po
file=`echo de | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file de.po
file=`echo el | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file el.po
file=`echo en_GB | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file en_GB.po
file=`echo es | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file es.po
file=`echo et | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file et.po
file=`echo eu | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file eu.po
file=`echo fi | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file fi.po
file=`echo fr | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file fr.po
file=`echo gl | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file gl.po
file=`echo he | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file he.po
file=`echo hi | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file hi.po
file=`echo hr | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file hr.po
file=`echo hu | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file hu.po
file=`echo it | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file it.po
file=`echo ja | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file ja.po
file=`echo ka | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file ka.po
file=`echo lt | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file lt.po
file=`echo nb | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file nb.po
file=`echo nl | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file nl.po
file=`echo pl | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file pl.po
file=`echo pt | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file pt.po
file=`echo pt_BR | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file pt_BR.po
file=`echo ro | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file ro.po
file=`echo ru | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file ru.po
file=`echo sr | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file sr.po
file=`echo sv | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file sv.po
file=`echo tr | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file tr.po
file=`echo uk | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file uk.po
file=`echo zh_CN | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file zh_CN.po
file=`echo zh_TW | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt -o $file zh_TW.po
make[3]: Leaving directory '/build/redshift/redshift-1.12/po'
make[3]: Entering directory '/build/redshift/redshift-1.12'
/usr/bin/mkdir -p data/apparmor && \
	sed -e "s|\@bindir\@|/usr/bin|g" "./data/apparmor/usr.bin.redshift.in" > data/apparmor/usr.bin.redshift
/usr/bin/mkdir -p data/appdata;
LC_ALL=C /usr/bin/intltool-merge  -x -u -c ./po/.intltool-merge-cache ./po data/appdata/redshift-gtk.metainfo.xml.in data/appdata/redshift-gtk.metainfo.xml
Generating and caching the translation database
Merging translations into data/appdata/redshift-gtk.metainfo.xml.
CREATED data/appdata/redshift-gtk.metainfo.xml
/usr/bin/mkdir -p data/applications;
LC_ALL=C /usr/bin/intltool-merge  -d -u -c ./po/.intltool-merge-cache ./po data/applications/redshift.desktop.in data/applications/redshift.desktop
Found cached translation database
Merging translations into data/applications/redshift.desktop.
/usr/bin/mkdir -p data/applications;
LC_ALL=C /usr/bin/intltool-merge  -d -u -c ./po/.intltool-merge-cache ./po data/applications/redshift-gtk.desktop.in data/applications/redshift-gtk.desktop
Found cached translation database
Merging translations into data/applications/redshift-gtk.desktop.
make[3]: Leaving directory '/build/redshift/redshift-1.12'
make[2]: Leaving directory '/build/redshift/redshift-1.12'
make[1]: Leaving directory '/build/redshift/redshift-1.12'
   dh_auto_test
	make -j1 check VERBOSE=1
make[1]: Entering directory '/build/redshift/redshift-1.12'
Making check in src
make[2]: Entering directory '/build/redshift/redshift-1.12/src'
make  check-recursive
make[3]: Entering directory '/build/redshift/redshift-1.12/src'
Making check in redshift-gtk
make[4]: Entering directory '/build/redshift/redshift-1.12/src/redshift-gtk'
make[4]: Nothing to be done for 'check'.
make[4]: Leaving directory '/build/redshift/redshift-1.12/src/redshift-gtk'
make[4]: Entering directory '/build/redshift/redshift-1.12/src'
make[4]: Nothing to be done for 'check-am'.
make[4]: Leaving directory '/build/redshift/redshift-1.12/src'
make[3]: Leaving directory '/build/redshift/redshift-1.12/src'
make[2]: Leaving directory '/build/redshift/redshift-1.12/src'
Making check in po
make[2]: Entering directory '/build/redshift/redshift-1.12/po'
INTLTOOL_EXTRACT="/usr/bin/intltool-extract" XGETTEXT="/usr/bin/xgettext" srcdir=. /usr/bin/intltool-update --gettext-package redshift --pot
rm -f missing notexist
srcdir=. /usr/bin/intltool-update -m
if [ -r missing -o -r notexist ]; then \
  exit 1; \
fi
make[2]: Leaving directory '/build/redshift/redshift-1.12/po'
make[2]: Entering directory '/build/redshift/redshift-1.12'
make[2]: Leaving directory '/build/redshift/redshift-1.12'
make[1]: Leaving directory '/build/redshift/redshift-1.12'
	rm -fr -- /tmp/dh-xdg-rundir-ZESz0YeF
   create-stamp debian/debhelper-build-stamp
   dh_prep
	rm -f -- debian/redshift.substvars debian/redshift-gtk.substvars
	rm -fr -- debian/.debhelper/generated/redshift/ debian/redshift/ debian/tmp/ debian/.debhelper/generated/redshift-gtk/ debian/redshift-gtk/
   dh_auto_install
	install -d /build/redshift/redshift-1.12/debian/tmp
	make -j1 install DESTDIR=/build/redshift/redshift-1.12/debian/tmp AM_UPDATE_INFO_DIR=no
make[1]: Entering directory '/build/redshift/redshift-1.12'
Making install in src
make[2]: Entering directory '/build/redshift/redshift-1.12/src'
make  install-recursive
make[3]: Entering directory '/build/redshift/redshift-1.12/src'
Making install in redshift-gtk
make[4]: Entering directory '/build/redshift/redshift-1.12/src/redshift-gtk'
make[5]: Entering directory '/build/redshift/redshift-1.12/src/redshift-gtk'
 /usr/bin/mkdir -p '/build/redshift/redshift-1.12/debian/tmp/usr/bin'
 /usr/bin/install -c redshift-gtk '/build/redshift/redshift-1.12/debian/tmp/usr/bin'
sed -e "s|\@bindir\@|/usr/bin|g" \
	-e "s|\@localedir\@|/usr/share/locale|g" defs.py.in > defs.py
 /usr/bin/mkdir -p '/build/redshift/redshift-1.12/debian/tmp/usr/lib/python3.10/site-packages/redshift_gtk'
 /usr/bin/install -c -m 644 defs.py '/build/redshift/redshift-1.12/debian/tmp/usr/lib/python3.10/site-packages/redshift_gtk'
Byte-compiling python modules...
defs.py
Byte-compiling python modules (optimized versions) ...
defs.py
 /usr/bin/mkdir -p '/build/redshift/redshift-1.12/debian/tmp/usr/lib/python3.10/site-packages/redshift_gtk'
 /usr/bin/install -c -m 644 __init__.py controller.py statusicon.py utils.py '/build/redshift/redshift-1.12/debian/tmp/usr/lib/python3.10/site-packages/redshift_gtk'
Byte-compiling python modules...
__init__.pycontroller.pystatusicon.pyutils.py
Byte-compiling python modules (optimized versions) ...
__init__.pycontroller.pystatusicon.pyutils.py
make[5]: Leaving directory '/build/redshift/redshift-1.12/src/redshift-gtk'
make[4]: Leaving directory '/build/redshift/redshift-1.12/src/redshift-gtk'
make[4]: Entering directory '/build/redshift/redshift-1.12/src'
make[5]: Entering directory '/build/redshift/redshift-1.12/src'
 /usr/bin/mkdir -p '/build/redshift/redshift-1.12/debian/tmp/usr/bin'
  /bin/bash ../libtool   --mode=install /usr/bin/install -c redshift '/build/redshift/redshift-1.12/debian/tmp/usr/bin'
libtool: install: /usr/bin/install -c redshift /build/redshift/redshift-1.12/debian/tmp/usr/bin/redshift
make[5]: Nothing to be done for 'install-data-am'.
make[5]: Leaving directory '/build/redshift/redshift-1.12/src'
make[4]: Leaving directory '/build/redshift/redshift-1.12/src'
make[3]: Leaving directory '/build/redshift/redshift-1.12/src'
make[2]: Leaving directory '/build/redshift/redshift-1.12/src'
Making install in po
make[2]: Entering directory '/build/redshift/redshift-1.12/po'
linguas="ar be bg ca cs da de el en_GB es et eu fi fr gl he hi hr hu it ja ka lt nb nl pl pt pt_BR ro ru sr sv tr uk zh_CN zh_TW "; \
for lang in $linguas; do \
  dir=/build/redshift/redshift-1.12/debian/tmp/usr/share/locale/$lang/LC_MESSAGES; \
  /bin/bash /build/redshift/redshift-1.12/install-sh -d $dir; \
  if test -r $lang.gmo; then \
    /usr/bin/install -c -m 644 $lang.gmo $dir/redshift.mo; \
    echo "installing $lang.gmo as $dir/redshift.mo"; \
  else \
    /usr/bin/install -c -m 644 ./$lang.gmo $dir/redshift.mo; \
    echo "installing ./$lang.gmo as" \
	 "$dir/redshift.mo"; \
  fi; \
  if test -r $lang.gmo.m; then \
    /usr/bin/install -c -m 644 $lang.gmo.m $dir/redshift.mo.m; \
    echo "installing $lang.gmo.m as $dir/redshift.mo.m"; \
  else \
    if test -r ./$lang.gmo.m ; then \
      /usr/bin/install -c -m 644 ./$lang.gmo.m \
	$dir/redshift.mo.m; \
      echo "installing ./$lang.gmo.m as" \
	   "$dir/redshift.mo.m"; \
    else \
      true; \
    fi; \
  fi; \
done
installing ar.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/ar/LC_MESSAGES/redshift.mo
installing be.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/be/LC_MESSAGES/redshift.mo
installing bg.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/bg/LC_MESSAGES/redshift.mo
installing ca.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/ca/LC_MESSAGES/redshift.mo
installing cs.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/cs/LC_MESSAGES/redshift.mo
installing da.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/da/LC_MESSAGES/redshift.mo
installing de.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/de/LC_MESSAGES/redshift.mo
installing el.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/el/LC_MESSAGES/redshift.mo
installing en_GB.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/en_GB/LC_MESSAGES/redshift.mo
installing es.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/es/LC_MESSAGES/redshift.mo
installing et.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/et/LC_MESSAGES/redshift.mo
installing eu.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/eu/LC_MESSAGES/redshift.mo
installing fi.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/fi/LC_MESSAGES/redshift.mo
installing fr.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/fr/LC_MESSAGES/redshift.mo
installing gl.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/gl/LC_MESSAGES/redshift.mo
installing he.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/he/LC_MESSAGES/redshift.mo
installing hi.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/hi/LC_MESSAGES/redshift.mo
installing hr.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/hr/LC_MESSAGES/redshift.mo
installing hu.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/hu/LC_MESSAGES/redshift.mo
installing it.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/it/LC_MESSAGES/redshift.mo
installing ja.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/ja/LC_MESSAGES/redshift.mo
installing ka.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/ka/LC_MESSAGES/redshift.mo
installing lt.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/lt/LC_MESSAGES/redshift.mo
installing nb.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/nb/LC_MESSAGES/redshift.mo
installing nl.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/nl/LC_MESSAGES/redshift.mo
installing pl.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/pl/LC_MESSAGES/redshift.mo
installing pt.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/pt/LC_MESSAGES/redshift.mo
installing pt_BR.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/pt_BR/LC_MESSAGES/redshift.mo
installing ro.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/ro/LC_MESSAGES/redshift.mo
installing ru.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/ru/LC_MESSAGES/redshift.mo
installing sr.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/sr/LC_MESSAGES/redshift.mo
installing sv.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/sv/LC_MESSAGES/redshift.mo
installing tr.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/tr/LC_MESSAGES/redshift.mo
installing uk.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/uk/LC_MESSAGES/redshift.mo
installing zh_CN.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/zh_CN/LC_MESSAGES/redshift.mo
installing zh_TW.gmo as /build/redshift/redshift-1.12/debian/tmp/usr/share/locale/zh_TW/LC_MESSAGES/redshift.mo
make[2]: Leaving directory '/build/redshift/redshift-1.12/po'
make[2]: Entering directory '/build/redshift/redshift-1.12'
make[3]: Entering directory '/build/redshift/redshift-1.12'
make[3]: Nothing to be done for 'install-exec-am'.
 /usr/bin/mkdir -p '/build/redshift/redshift-1.12/debian/tmp/etc/apparmor.d'
 /usr/bin/install -c -m 644 data/apparmor/usr.bin.redshift '/build/redshift/redshift-1.12/debian/tmp/etc/apparmor.d'
 /usr/bin/mkdir -p '/build/redshift/redshift-1.12/debian/tmp/usr/share/metainfo'
 /usr/bin/install -c -m 644 data/appdata/redshift-gtk.metainfo.xml '/build/redshift/redshift-1.12/debian/tmp/usr/share/metainfo'
 /usr/bin/mkdir -p '/build/redshift/redshift-1.12/debian/tmp/usr/share/applications'
 /usr/bin/install -c -m 644 data/applications/redshift.desktop data/applications/redshift-gtk.desktop '/build/redshift/redshift-1.12/debian/tmp/usr/share/applications'
 /usr/bin/mkdir -p '/build/redshift/redshift-1.12/debian/tmp/usr/share/icons/hicolor/scalable/apps'
 /usr/bin/install -c -m 644 data/icons/hicolor/scalable/apps/redshift.svg data/icons/hicolor/scalable/apps/redshift-status-on.svg data/icons/hicolor/scalable/apps/redshift-status-off.svg '/build/redshift/redshift-1.12/debian/tmp/usr/share/icons/hicolor/scalable/apps'
 /usr/bin/mkdir -p '/build/redshift/redshift-1.12/debian/tmp/usr/share/man/man1'
 /usr/bin/install -c -m 644 redshift.1 '/build/redshift/redshift-1.12/debian/tmp/usr/share/man/man1'
 /usr/bin/mkdir -p '/build/redshift/redshift-1.12/debian/tmp/usr/share/icons/ubuntu-mono-dark/scalable/apps'
 /usr/bin/install -c -m 644 data/icons/ubuntu-mono-dark/scalable/apps/redshift-status-on.svg data/icons/ubuntu-mono-dark/scalable/apps/redshift-status-off.svg '/build/redshift/redshift-1.12/debian/tmp/usr/share/icons/ubuntu-mono-dark/scalable/apps'
 /usr/bin/mkdir -p '/build/redshift/redshift-1.12/debian/tmp/usr/share/icons/ubuntu-mono-light/scalable/apps'
 /usr/bin/install -c -m 644 data/icons/ubuntu-mono-light/scalable/apps/redshift-status-on.svg data/icons/ubuntu-mono-light/scalable/apps/redshift-status-off.svg '/build/redshift/redshift-1.12/debian/tmp/usr/share/icons/ubuntu-mono-light/scalable/apps'
make  install-data-hook
make[4]: Entering directory '/build/redshift/redshift-1.12'
gtk-update-icon-cache -f -t /usr/share/icons/hicolor || :;
gtk-update-icon-cache: Cache file created successfully.
make[4]: Leaving directory '/build/redshift/redshift-1.12'
make[3]: Leaving directory '/build/redshift/redshift-1.12'
make[2]: Leaving directory '/build/redshift/redshift-1.12'
make[1]: Leaving directory '/build/redshift/redshift-1.12'
	rm -f debian/redshift-gtk.debhelper.log debian/redshift.debhelper.log
   debian/rules override_dh_install
make[1]: Entering directory '/build/redshift/redshift-1.12'
dh_apparmor -predshift --profile-name=usr.bin.redshift
	echo "# Automatically added by dh_apparmor/3.0.4-2ubuntu2.2">> debian/redshift.postinst.debhelper
	sed "s/#PROFILE#/usr.bin.redshift/" /usr/share/debhelper/autoscripts/postinst-apparmor >> debian/redshift.postinst.debhelper
	echo '# End automatically added section' >> debian/redshift.postinst.debhelper
	echo "# Automatically added by dh_apparmor/3.0.4-2ubuntu2.2">> debian/redshift.postrm.debhelper
	sed "s/#PROFILE#/usr.bin.redshift/" /usr/share/debhelper/autoscripts/postrm-apparmor >> debian/redshift.postrm.debhelper
	echo '# End automatically added section' >> debian/redshift.postrm.debhelper
dh_install
	install -d debian/redshift//etc
	cp --reflink=auto -a ./debian/redshift.conf debian/redshift//etc/
	install -d debian/redshift//etc/apparmor.d
	cp --reflink=auto -a debian/tmp/etc/apparmor.d/usr.bin.redshift debian/redshift//etc/apparmor.d/
	install -d debian/redshift//usr/bin
	cp --reflink=auto -a debian/tmp/usr/bin/redshift debian/redshift//usr/bin/
	install -d debian/redshift//usr/share
	cp --reflink=auto -a debian/tmp/usr/share/locale debian/redshift//usr/share/
	install -d debian/redshift//usr/share/applications
	cp --reflink=auto -a debian/tmp/usr/share/applications/redshift.desktop debian/redshift//usr/share/applications/
	install -d debian/redshift//usr/share/man/man1
	cp --reflink=auto -a debian/tmp/usr/share/man/man1/redshift.1 debian/redshift//usr/share/man/man1/
	install -d debian/.debhelper/generated/redshift
	install -d debian/redshift-gtk//usr/bin
	cp --reflink=auto -a debian/tmp/usr/bin/redshift-gtk debian/redshift-gtk//usr/bin/
	install -d debian/redshift-gtk//usr/lib
	cp --reflink=auto -a debian/tmp/usr/lib/python3.10 debian/redshift-gtk//usr/lib/
	install -d debian/redshift-gtk//usr/share
	cp --reflink=auto -a debian/tmp/usr/share/icons debian/redshift-gtk//usr/share/
	install -d debian/redshift-gtk//usr/share/applications
	cp --reflink=auto -a debian/tmp/usr/share/applications/redshift-gtk.desktop debian/redshift-gtk//usr/share/applications/
	install -d debian/redshift-gtk//usr/share/metainfo
	cp --reflink=auto -a debian/tmp/usr/share/metainfo/redshift-gtk.metainfo.xml debian/redshift-gtk//usr/share/metainfo/
	install -d debian/redshift-gtk/usr/share/doc/redshift-gtk/
	cp --reflink=auto -a ./debian/screenshot.png debian/redshift-gtk/usr/share/doc/redshift-gtk//
	install -d debian/.debhelper/generated/redshift-gtk
make[1]: Leaving directory '/build/redshift/redshift-1.12'
   dh_installdocs
	install -d debian/redshift/usr/share/doc/redshift
	cp --reflink=auto -a ./README debian/redshift/usr/share/doc/redshift
	cp --reflink=auto -a ./debian/example-redshift.conf debian/redshift/usr/share/doc/redshift
	chmod -R u\+rw,go=rX debian/redshift/usr/share/doc
	install -p -m0644 debian/copyright debian/redshift/usr/share/doc/redshift/copyright
	cp --reflink=auto -a ./README debian/redshift-gtk/usr/share/doc/redshift-gtk
	chmod -R u\+rw,go=rX debian/redshift-gtk/usr/share/doc
	install -p -m0644 debian/copyright debian/redshift-gtk/usr/share/doc/redshift-gtk/copyright
	rm -f debian/redshift-gtk.debhelper.log debian/redshift.debhelper.log
   debian/rules override_dh_installchangelogs
make[1]: Entering directory '/build/redshift/redshift-1.12'
dh_installchangelogs NEWS
	install -p -m0644 debian/changelog debian/redshift/usr/share/doc/redshift/changelog.Debian
	install -p -m0644 debian/NEWS debian/redshift/usr/share/doc/redshift/NEWS.Debian
	install -p -m0644 NEWS debian/redshift/usr/share/doc/redshift/changelog
	install -p -m0644 debian/changelog debian/redshift-gtk/usr/share/doc/redshift-gtk/changelog.Debian
	install -p -m0644 debian/NEWS debian/redshift-gtk/usr/share/doc/redshift-gtk/NEWS.Debian
	install -p -m0644 NEWS debian/redshift-gtk/usr/share/doc/redshift-gtk/changelog
make[1]: Leaving directory '/build/redshift/redshift-1.12'
   dh_installman
	install -p -m0644 ./redshift.1 debian/redshift/usr/share/man/man1/redshift.1
	man-recode --to-code UTF-8 --suffix .dh-new debian/redshift/usr/share/man/man1/redshift.1
	mv debian/redshift/usr/share/man/man1/redshift.1.dh-new debian/redshift/usr/share/man/man1/redshift.1
	chmod 0644 -- debian/redshift/usr/share/man/man1/redshift.1
   dh_python3
D: dh_python3 dh_python3:161: version: 5.20220403
D: dh_python3 dh_python3:162: argv: ['/usr/bin/dh_python3']
D: dh_python3 dh_python3:163: options: {'guess_deps': True, 'skip_private': False, 'verbose': False, 'arch': None, 'package': None, 'no_package': None, 'compile_all': False, 'vrange': None, 'regexpr': None, 'accept_upstream_versions': False, 'depends': None, 'depends_section': None, 'recommends': None, 'recommends_section': None, 'suggests': None, 'suggests_section': None, 'requires': None, 'shebang': None, 'ignore_shebangs': False, 'clean_dbg_pkg': True, 'no_ext_rename': False, 'no_shebang_rewrite': False, 'O': None}
D: dh_python3 dh_python3:164: args: []
D: dh_python3 dh_python3:165: supported Python versions: 3.10 (default=3.10)
D: dh_python3 debhelper:162: skipping package redshift (missing ${python3:Depends} in Depends)
D: dh_python3 debhelper:169: source=redshift, binary packages=['redshift-gtk']
D: dh_python3 dh_python3:183: processing package redshift-gtk...
D: dh_python3 fs:52: moving files from debian/redshift-gtk/usr/lib/python3.10/site-packages to debian/redshift-gtk/usr/lib/python3/dist-packages/
I: dh_python3 tools:114: replacing shebang in debian/redshift-gtk/usr/bin/redshift-gtk
D: dh_python3 fs:399: package redshift-gtk details = {'requires.txt': set(), 'egg-info': set(), 'dist-info': set(), 'nsp.txt': set(), 'shebangs': {/usr/bin/python3}, 'public_vers': {Version('3')}, 'private_dirs': {}, 'compile': True, 'ext_vers': set(), 'ext_no_version': set()}
D: dh_python3 depends:117: generating dependencies for package redshift-gtk
D: dh_python3 depends:281: D={'python3:any'}; R=[]; S=[]; E=[], B=[]; RT=[]
   dh_icons
	[META] Append autosnippet "postinst-icons" to postinst [debian/redshift-gtk.postinst.debhelper]
	[META] Append autosnippet "postrm-icons" to postrm [debian/redshift-gtk.postrm.debhelper]
   dh_perl
   dh_link
	install -d debian/redshift-gtk/usr/share/man/man1
	rm -f debian/redshift-gtk/usr/share/man/man1/redshift-gtk.1.gz
	ln -s redshift.1.gz debian/redshift-gtk/usr/share/man/man1/redshift-gtk.1.gz
	rm -f debian/redshift-gtk/usr/share/man/man1/gtk-redshift.1.gz
	ln -s redshift.1.gz debian/redshift-gtk/usr/share/man/man1/gtk-redshift.1.gz
	rm -f debian/redshift-gtk/usr/bin/gtk-redshift
	ln -s redshift-gtk debian/redshift-gtk/usr/bin/gtk-redshift
   dh_strip_nondeterminism
	Using 1680671775 as canonical time
	Normalizing debian/redshift/usr/share/locale/sr/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/sr/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/ca/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/ca/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/uk/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/uk/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/bg/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/bg/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/pl/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/pl/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/zh_TW/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/zh_TW/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/fr/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/fr/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/fi/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/fi/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/hi/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/hi/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/zh_CN/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/zh_CN/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/sv/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/sv/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/ar/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/ar/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/en_GB/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/en_GB/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/ka/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/ka/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/tr/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/tr/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/ru/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/ru/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/es/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/es/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/et/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/et/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/lt/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/lt/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/el/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/el/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/ja/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/ja/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/cs/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/cs/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/be/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/be/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/nl/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/nl/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/pt_BR/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/pt_BR/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/de/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/de/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/da/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/da/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/hr/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/hr/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/he/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/he/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/hu/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/hu/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/pt/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/pt/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/nb/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/nb/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/ro/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/ro/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/eu/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/eu/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/it/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/it/LC_MESSAGES/redshift.mo
	Normalizing debian/redshift/usr/share/locale/gl/LC_MESSAGES/redshift.mo using File::StripNondeterminism::handlers::gettext
	Normalized debian/redshift/usr/share/locale/gl/LC_MESSAGES/redshift.mo
	Using 1680671775 as canonical time
	Normalizing debian/redshift-gtk/usr/share/doc/redshift-gtk/screenshot.png using File::StripNondeterminism::handlers::png
   dh_compress
	cd debian/redshift
	chmod a-x usr/share/doc/redshift/NEWS.Debian usr/share/doc/redshift/README usr/share/doc/redshift/changelog usr/share/doc/redshift/changelog.Debian usr/share/man/man1/redshift.1
	gzip -9nf usr/share/doc/redshift/NEWS.Debian usr/share/doc/redshift/README usr/share/doc/redshift/changelog usr/share/doc/redshift/changelog.Debian usr/share/man/man1/redshift.1
	cd '/build/redshift/redshift-1.12'
	cd debian/redshift-gtk
	chmod a-x usr/share/doc/redshift-gtk/NEWS.Debian usr/share/doc/redshift-gtk/README usr/share/doc/redshift-gtk/changelog usr/share/doc/redshift-gtk/changelog.Debian
	gzip -9nf usr/share/doc/redshift-gtk/NEWS.Debian usr/share/doc/redshift-gtk/README usr/share/doc/redshift-gtk/changelog usr/share/doc/redshift-gtk/changelog.Debian
	cd '/build/redshift/redshift-1.12'
   dh_fixperms
	find debian/redshift ! -type l -a -true -a -true -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
	find debian/redshift/usr/share/doc -type f -a -true -a ! -regex 'debian/redshift/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 0644
	find debian/redshift/usr/share/doc -type d -a -true -a -true -print0 2>/dev/null | xargs -0r chmod 0755
	find debian/redshift/usr/share/man debian/redshift/usr/share/applications -type f -a -true -a -true -print0 2>/dev/null | xargs -0r chmod 0644
	find debian/redshift -type f \( -name '*.so.*' -o -name '*.so' -o -name '*.la' -o -name '*.a' -o -name '*.js' -o -name '*.css' -o -name '*.scss' -o -name '*.sass' -o -name '*.jpeg' -o -name '*.jpg' -o -name '*.png' -o -name '*.gif' -o -name '*.cmxs' -o -name '*.node' \) -a -true -a -true -print0 2>/dev/null | xargs -0r chmod 0644
	find debian/redshift/usr/bin -type f -a -true -a -true -print0 2>/dev/null | xargs -0r chmod a+x
	find debian/redshift-gtk ! -type l -a -true -a -true -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
	find debian/redshift-gtk/usr/share/doc -type f -a -true -a ! -regex 'debian/redshift-gtk/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 0644
	find debian/redshift-gtk/usr/share/doc -type d -a -true -a -true -print0 2>/dev/null | xargs -0r chmod 0755
	find debian/redshift-gtk/usr/share/man debian/redshift-gtk/usr/share/applications -type f -a -true -a -true -print0 2>/dev/null | xargs -0r chmod 0644
	find debian/redshift-gtk -type f \( -name '*.so.*' -o -name '*.so' -o -name '*.la' -o -name '*.a' -o -name '*.js' -o -name '*.css' -o -name '*.scss' -o -name '*.sass' -o -name '*.jpeg' -o -name '*.jpg' -o -name '*.png' -o -name '*.gif' -o -name '*.cmxs' -o -name '*.node' \) -a -true -a -true -print0 2>/dev/null | xargs -0r chmod 0644
	find debian/redshift-gtk/usr/bin -type f -a -true -a -true -print0 2>/dev/null | xargs -0r chmod a+x
	find debian/redshift-gtk/usr/lib -type f -name '*.ali' -a -true -a -true -print0 2>/dev/null | xargs -0r chmod uga-w
   dh_missing
   dh_dwz -a
	dwz -- debian/redshift/usr/bin/redshift
   dh_strip -a
	debugedit --build-id --build-id-seed=redshift/1.12-4.2ubuntu1\+11.0trisquel5 debian/redshift/usr/bin/redshift
eb23ba6ec79cfe2996fd436c8a26694bb22f1a70
	install -d debian/.debhelper/redshift/dbgsym-root/usr/lib/debug/.build-id/eb
	objcopy --only-keep-debug --compress-debug-sections debian/redshift/usr/bin/redshift debian/.debhelper/redshift/dbgsym-root/usr/lib/debug/.build-id/eb/23ba6ec79cfe2996fd436c8a26694bb22f1a70.debug
	chmod 0644 -- debian/.debhelper/redshift/dbgsym-root/usr/lib/debug/.build-id/eb/23ba6ec79cfe2996fd436c8a26694bb22f1a70.debug
	strip --remove-section=.comment --remove-section=.note -o /tmp/b47gAogX0I/striprnb1hp debian/redshift/usr/bin/redshift
	chmod --reference debian/redshift/usr/bin/redshift /tmp/b47gAogX0I/striprnb1hp
	cat '/tmp/b47gAogX0I/striprnb1hp' > 'debian/redshift/usr/bin/redshift'
	chmod --reference /tmp/b47gAogX0I/striprnb1hp debian/redshift/usr/bin/redshift
	objcopy --add-gnu-debuglink debian/.debhelper/redshift/dbgsym-root/usr/lib/debug/.build-id/eb/23ba6ec79cfe2996fd436c8a26694bb22f1a70.debug debian/redshift/usr/bin/redshift /tmp/b47gAogX0I/objcopyhn1mrO
	chmod --reference debian/redshift/usr/bin/redshift /tmp/b47gAogX0I/objcopyhn1mrO
	cat '/tmp/b47gAogX0I/objcopyhn1mrO' > 'debian/redshift/usr/bin/redshift'
	chmod --reference /tmp/b47gAogX0I/objcopyhn1mrO debian/redshift/usr/bin/redshift
	rm -fr debian/.debhelper/redshift/dbgsym-root
   dh_makeshlibs -a
	rm -f debian/redshift/DEBIAN/shlibs
   dh_shlibdeps -a
	install -d debian/redshift/DEBIAN
	dpkg-shlibdeps -Tdebian/redshift.substvars debian/redshift/usr/bin/redshift
   dh_installdeb
	printf '#!/bin/sh\nset -e\n' > debian/redshift/DEBIAN/postinst
	cat debian/redshift.postinst.debhelper >> debian/redshift/DEBIAN/postinst
	chmod 0755 -- debian/redshift/DEBIAN/postinst
	printf '#!/bin/sh\nset -e\n' > debian/redshift/DEBIAN/postrm
	cat debian/redshift.postrm.debhelper >> debian/redshift/DEBIAN/postrm
	chmod 0755 -- debian/redshift/DEBIAN/postrm
	find debian/redshift/etc -type f -printf '/etc/%P
' | LC_ALL=C sort >> debian/redshift/DEBIAN/conffiles
	chmod 0644 -- debian/redshift/DEBIAN/conffiles
	install -d debian/redshift-gtk/DEBIAN
	printf '#!/bin/sh\nset -e\n' > debian/redshift-gtk/DEBIAN/postinst
	cat debian/redshift-gtk.postinst.debhelper >> debian/redshift-gtk/DEBIAN/postinst
	chmod 0755 -- debian/redshift-gtk/DEBIAN/postinst
	printf '#!/bin/sh\nset -e\n' > debian/redshift-gtk/DEBIAN/prerm
	cat debian/redshift-gtk.prerm.debhelper >> debian/redshift-gtk/DEBIAN/prerm
	chmod 0755 -- debian/redshift-gtk/DEBIAN/prerm
	printf '#!/bin/sh\nset -e\n' > debian/redshift-gtk/DEBIAN/postrm
	cat debian/redshift-gtk.postrm.debhelper >> debian/redshift-gtk/DEBIAN/postrm
	chmod 0755 -- debian/redshift-gtk/DEBIAN/postrm
   dh_gencontrol
	echo misc:Depends= >> debian/redshift.substvars
	echo misc:Pre-Depends= >> debian/redshift.substvars
	dpkg-gencontrol -predshift -ldebian/changelog -Tdebian/redshift.substvars -Pdebian/redshift
	chmod 0644 -- debian/redshift/DEBIAN/control
	echo misc:Depends= >> debian/redshift-gtk.substvars
	echo misc:Pre-Depends= >> debian/redshift-gtk.substvars
	dpkg-gencontrol -predshift-gtk -ldebian/changelog -Tdebian/redshift-gtk.substvars -Pdebian/redshift-gtk
	chmod 0644 -- debian/redshift-gtk/DEBIAN/control
   dh_md5sums
	cd debian/redshift >/dev/null && xargs -r0 md5sum | perl -pe 'if (s@^\\@@) { s/\\\\/\\/g; }' > DEBIAN/md5sums
	chmod 0644 -- debian/redshift/DEBIAN/md5sums
	cd debian/redshift-gtk >/dev/null && xargs -r0 md5sum | perl -pe 'if (s@^\\@@) { s/\\\\/\\/g; }' > DEBIAN/md5sums
	chmod 0644 -- debian/redshift-gtk/DEBIAN/md5sums
   dh_builddeb
	dpkg-deb --root-owner-group --build debian/redshift ..
pkgstripfiles: processing control file: debian/redshift/DEBIAN/control, package redshift, directory debian/redshift
.. removing usr/share/doc/redshift/changelog.gz
pkgstripfiles: Truncating usr/share/doc/redshift/changelog.Debian.gz to topmost ten records
pkgstripfiles: Running PNG optimization (using 1 cpus) for package redshift ...
pkgstripfiles: No PNG files.
dpkg-deb: building package 'redshift' in '../redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.deb'.
	dpkg-deb --root-owner-group --build debian/redshift-gtk ..
pkgstripfiles: processing control file: debian/redshift-gtk/DEBIAN/control, package redshift-gtk, directory debian/redshift-gtk
.. removing usr/share/doc/redshift-gtk/changelog.gz
Searching for duplicated docs in dependency redshift...
  symlinking changelog.Debian.gz in redshift-gtk to file in redshift
  symlinking NEWS.Debian.gz in redshift-gtk to file in redshift
  symlinking README.gz in redshift-gtk to file in redshift
pkgstripfiles: Running PNG optimization (using 1 cpus) for package redshift-gtk ...
xargs: warning: options --max-lines and --replace/-I/-i are mutually exclusive, ignoring previous --max-lines value
o
pkgstripfiles: PNG optimization (1/0) for package redshift-gtk took 9 s
dpkg-deb: building package 'redshift-gtk' in '../redshift-gtk_1.12-4.2ubuntu1+11.0trisquel5_all.deb'.
 dpkg-genbuildinfo -O../redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.buildinfo
 dpkg-genchanges -O../redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.changes
dpkg-genchanges: info: including full source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: full upload; Debian-native package (full source is included)
+ date
Tue Apr 11 19:44:35 UTC 2023
+ cd ..
+ ls -la
total 1392
drwxr-xr-x 3 root root   4096 Apr 11 19:44 .
drwxr-xr-x 3 root root   4096 Apr 11 19:43 ..
-rw-r--r-- 1 root root  89171 Apr 11 19:44 buildlog.txt
drwxr-xr-x 9 root root   4096 Apr 11 19:44 redshift-1.12
-rw-r--r-- 1 root root 331698 Apr 11 19:44 redshift-gtk_1.12-4.2ubuntu1+11.0trisquel5_all.deb
-rw-r--r-- 1 root root   1088 Apr 11 19:43 redshift_1.12-4.2ubuntu1+11.0trisquel5.dsc
-rw-r--r-- 1 root root 845904 Apr 11 19:43 redshift_1.12-4.2ubuntu1+11.0trisquel5.tar.xz
-rw-r--r-- 1 root root  10915 Apr 11 19:44 redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.buildinfo
-rw-r--r-- 1 root root   2309 Apr 11 19:44 redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.changes
-rw-r--r-- 1 root root 119528 Apr 11 19:44 redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.deb
+ find . -maxdepth 1 -type f
+ sha256sum ./redshift-gtk_1.12-4.2ubuntu1+11.0trisquel5_all.deb ./redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.deb ./redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.buildinfo ./buildlog.txt ./redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.changes ./redshift_1.12-4.2ubuntu1+11.0trisquel5.tar.xz ./redshift_1.12-4.2ubuntu1+11.0trisquel5.dsc
7bd32f5fa3fc427dae5a8b935289a036e59ef41a18b5759040a55c4a8e976864  ./redshift-gtk_1.12-4.2ubuntu1+11.0trisquel5_all.deb
8d4d819f436bddbf1fc8f99218b68ecafe1852bef23d1c353f1b0a7663080496  ./redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.deb
4f3d7730c6cb477ba61d52d6fcf4bb401aa9f092d683f069be378c497d9dc934  ./redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.buildinfo
1ab3d9d0068f446db56f7a3e7319a15a8e4bc38362575d9d6aa3f463dc5400f0  ./buildlog.txt
19b815522eea779f9394b49b87cf143059c5b3140c372b9f485eccc2436d3d28  ./redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.changes
66927d8a2b5f489f4c0187e36c89f4d79718345b6adbe00c1ca9183899e39442  ./redshift_1.12-4.2ubuntu1+11.0trisquel5.tar.xz
2603884bfe8b10e469f8a4ea5c4319a8b48b425f589201ac7c12b022e23db190  ./redshift_1.12-4.2ubuntu1+11.0trisquel5.dsc
+ mkdir published
+ cd published
+ cd ../
+ ls redshift-gtk_1.12-4.2ubuntu1+11.0trisquel5_all.deb redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.deb *.udeb
ls: cannot access '*.udeb': No such file or directory
+ wget -q http://archive.trisquel.info/trisquel/pool/main/r/redshift/redshift-gtk_1.12-4.2ubuntu1+11.0trisquel5_all.deb
+ wget -q http://archive.trisquel.info/trisquel/pool/main/r/redshift/redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.deb
+ tee ../SHA256SUMS
+ find . -maxdepth 1 -type f
+ sha256sum ./redshift-gtk_1.12-4.2ubuntu1+11.0trisquel5_all.deb ./redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.deb
7bd32f5fa3fc427dae5a8b935289a036e59ef41a18b5759040a55c4a8e976864  ./redshift-gtk_1.12-4.2ubuntu1+11.0trisquel5_all.deb
8d4d819f436bddbf1fc8f99218b68ecafe1852bef23d1c353f1b0a7663080496  ./redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.deb
+ cd ..
+ sha256sum -c SHA256SUMS
./redshift-gtk_1.12-4.2ubuntu1+11.0trisquel5_all.deb: OK
./redshift_1.12-4.2ubuntu1+11.0trisquel5_amd64.deb: OK
+ echo Package redshift version 1.12-4.2ubuntu1+11.0trisquel5 is reproducible!
Package redshift version 1.12-4.2ubuntu1+11.0trisquel5 is reproducible!
